2018-04-25 00:45 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004454Talerotherpublic2018-03-27 17:32
ReporterFlorian Dold 
Assigned ToMarcello Stanisci 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version0.0 
Target Version0.6Fixed in Version0.6 
Summary0004454: fault injection for all GNU Taler APIs
DescriptionAll HTTP endpoints that are not directly viewed in the browser should (via a configuration setting?) sometimes return one of the transient error code.

Probably it is better to not implement this in the services directly, but in some layer between them and nginx.

Having a non-zero probability of getting transient errors even for components that are completely functional forces us (and other developers) to write code that is resistant against these failures, by using appropriate error handling strategies.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
parent of 0004186resolvedMarcello Stanisci fault injection should be implemented 
parent of 0004759resolvedMarcello Stanisci Fake errors needed 
parent of 0004781resolvedMarcello Stanisci Error generating MITM 
parent of 0004892resolvedMarcello Stanisci evil merchant testsuite 
+Relationships

-Notes

~0012908

Christian Grothoff (manager)

The existence of Twister means that the fault injection logic is now in place. Details of using it (or enhancing it) will be separate bugs.
+Notes

-Issue History
Date Modified Username Field Change
2016-04-20 17:48 Florian Dold New Issue
2016-05-02 09:11 Christian Grothoff Status new => confirmed
2016-05-02 09:11 Christian Grothoff Product Version => 0.0
2016-05-02 09:11 Christian Grothoff Target Version => 0.6
2016-05-04 06:51 Christian Grothoff Relationship added parent of 0003475
2016-05-04 06:51 Christian Grothoff Relationship added parent of 0004186
2016-05-04 06:51 Christian Grothoff Relationship added parent of 0003476
2016-05-04 15:46 Christian Grothoff Severity minor => feature
2016-11-03 17:59 Christian Grothoff Relationship added parent of 0004759
2016-11-08 16:12 Christian Grothoff Relationship added child of 0004379
2018-01-15 15:59 Christian Grothoff Relationship added parent of 0004781
2018-01-15 21:11 Christian Grothoff Relationship added parent of 0004892
2018-03-27 17:31 Christian Grothoff Relationship deleted child of 0004379
2018-03-27 17:32 Christian Grothoff Relationship deleted parent of 0003475
2018-03-27 17:32 Christian Grothoff Relationship deleted parent of 0003476
2018-03-27 17:32 Christian Grothoff Assigned To => Marcello Stanisci
2018-03-27 17:32 Christian Grothoff Status confirmed => resolved
2018-03-27 17:32 Christian Grothoff Resolution open => fixed
2018-03-27 17:32 Christian Grothoff Fixed in Version => 0.6
2018-03-27 17:32 Christian Grothoff Note Added: 0012908
+Issue History